///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class FetchReportReason {
/*
{
  "id": 1,
  "reason": "Ảnh khỏa thân",
  "reasonType": "POST"
}
*/

  int? id;
  String? reason;
  String? reasonType;

  FetchReportReason({
    this.id,
    this.reason,
    this.reasonType,
  });
  FetchReportReason.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    reason = json['reason']?.toString();
    reasonType = json['reasonType']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['reason'] = reason;
    data['reasonType'] = reasonType;
    return data;
  }
}

class ReportReasonsData {
/*
{
  "fetchReportReasons": [
    {
      "id": 1,
      "reason": "Ảnh khỏa thân",
      "reasonType": "POST"
    }
  ]
}
*/

  List<FetchReportReason>? fetchReportReasons;

  ReportReasonsData({
    this.fetchReportReasons,
  });
  ReportReasonsData.fromJson(Map<String, dynamic> json) {
    if (json['fetchReportReasons'] != null) {
      final v = json['fetchReportReasons'];
      final arr0 = <FetchReportReason>[];
      v.forEach((v) {
        arr0.add(FetchReportReason.fromJson(v));
      });
      fetchReportReasons = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchReportReasons != null) {
      final v = fetchReportReasons;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['fetchReportReasons'] = arr0;
    }
    return data;
  }
}

class ReportReasonsResponse {
/*
{
  "data": {
    "fetchReportReasons": [
      {
        "id": 1,
        "reason": "Ảnh khỏa thân",
        "reasonType": "POST"
      }
    ]
  }
}
*/

  ReportReasonsData? data;

  ReportReasonsResponse({
    this.data,
  });
  ReportReasonsResponse.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null)
        ? ReportReasonsData.fromJson(json['data'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
